Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlrt.ede
Interface EventGenerator

public interface EventGenerator

EventGenerator can be used to creates streaming events.

Method Summary
`StreamingEvent` | `createEvent(EventType eventType, long timestamp, Map content)` This method generates a event with a given timestamp, eventType and event source If timestamp is -1, current time stamp is generated.
`StreamingEvent` | `createEvent(String eventType, long timestamp, long[] causes, long[] triggers, Map content, String source)` This method generates a event with a given timestamp, eventType and event source
`StreamingEvent` | `createEvent(String eventType, Map content)` This method generates a event with a eventType and event source
`List` | `createEventCollection()` This method creates ordered collection (list) that can be used to hold streaming events.
`List` | `createEventCollection(int i)` This method creates an event collection of the specified size.

Method Detail

### createEvent

    public StreamingEvent createEvent(String eventType,
                                      long timestamp,
                                      long[] causes,
                                      long[] triggers,
                                      Map content,
                                      String source)

  This method generates a event with a given timestamp, eventType and event source

### createEvent

    public StreamingEvent createEvent(String eventType,
                                      Map content)

  This method generates a event with a eventType and event source

### createEvent

    public StreamingEvent createEvent(EventType eventType,
                                      long timestamp,
                                      Map content)

  This method generates a event with a given timestamp, eventType and event source If timestamp is -1, current time stamp is generated.

### createEventCollection

    public List createEventCollection()

  This method creates ordered collection (list) that can be used to hold streaming events.

  Returns:
    list that holds streaming events

### createEventCollection

    public List createEventCollection(int i)

  This method creates an event collection of the specified size.

  Parameters:
    `i` - initial size of collection
  Returns:
    list that holds streaming events

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD